Get a conversation
curl --request GET \
--url https://api.example.com/conversations/{conversation}import requests
url = "https://api.example.com/conversations/{conversation}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/conversations/{conversation}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"type": "direct",
"title": "",
"created_at": 123,
"updated_at": 123,
"latest_message": {},
"mute_rule": 123,
"unread_message_count": 0,
"participants": [
{
"id": 1,
"first_name": "John",
"last_name": "Doe",
"name": "John Doe",
"title": "Manager",
"active": true,
"avatar": {},
"archived_at": 123,
"participant_type": "<string>",
"subtext": "Manager - HQ (Sales)",
"department": {
"id": 10,
"name": "Sales"
},
"unit": {
"id": 5,
"name": "HQ"
}
}
],
"publish": {
"created_at": 123,
"updated_at": 123
},
"archived_at": 123
}Conversations
Get a conversation
Returns a single conversation by ID with participants, latest message, and related data. Requires view permission on the conversation.
GET
/
conversations
/
{conversation}
Get a conversation
Path Parameters
Conversation ID
Response
The conversation.
Example:
1
Conversation type: direct or group
Example:
"direct"
Conversation title (group only)
Example:
""
Unix timestamp
Unix timestamp
Latest message in the conversation
Mute rule ID or null
Example:
0
Conversation participants
Show child attributes
Show child attributes
Show child attributes
Show child attributes
When the auth user archived this conversation